return {
    "stevearc/overseer.nvim",
    config = function()
        require("overseer").setup({
            templates = {
--                "builtin",
                "user.cargo_build",
                "user.cargo_clean",
                "user.cargo_run",
                "user.cargo_test",
                "user.cmake_generate",
                "user.cmake_build",
                "user.cmake_clean",
                "user.cmake_test",
                "user.python_run"
            }
        })

        vim.keymap.set("n", "<leader>oo", function() require("overseer").toggle() end, {
            desc = "Toggle"
        })
        vim.keymap.set("n", "<leader>or", ":OverseerRun<CR>", {
            desc = "Run"
        })
        vim.keymap.set("n", "<leader>oq", ":OverseerQuickAction<CR>", {
            desc = "Quick Action"
        })
        vim.keymap.set("n", "<leader>of", ":OverseerQuickAction open float<CR>", {
            desc = "Open Float"
        })
    end
}
